solarOS Organization API

Organization API

Get one Material Request

Returns one Material Request with its pickup Location, Work Order, Project, and line items. Required scope: material_reqs:read.

/api/v1/material-reqs/{id}

Returns one Material Request with its pickup Location, Work Order, Project, and line items. Required scope: material_reqs:read.

Get one Material Request. Use an organization API key with material_reqs:read. Check the response envelope and meta.requestId before triggering dependent workflow steps.

Required scopes

material_reqs:read

Parameters

NameInTypeDescription
idrequiredpathstringMaterial Req identifier returned by the Organization API.

Request body

This endpoint does not accept a JSON request body.

Responses

200

Material Request envelope

#/components/schemas/MaterialRequestEnvelope

401

Missing or invalid organization API key

#/components/schemas/OrgApiError

402

Organization billing access or an endpoint-specific business quota denied the request

#/components/schemas/OrgApiError

403

Missing required scope: material_reqs:read

#/components/schemas/OrgApiError

404

Not found

#/components/schemas/OrgApiError

429

Rate limit exceeded

#/components/schemas/OrgApiError

Errors

401 Missing or invalid organization API key402 Organization billing access or an endpoint-specific business quota denied the request403 Missing required scope: material_reqs:read404 Not found429 Rate limit exceeded

Static examples

curl -X GET "$SOLAROS_BASE_URL/api/v1/material-reqs/$SOLAROS_MATERIAL_REQ" \
  -H "Authorization: Bearer $SOLAROS_API_KEY"